nl.phhsnews.com


nl.phhsnews.com / Controleren of uw uitbreidingen niet meer met Firefox zullen werken 57

Controleren of uw uitbreidingen niet meer met Firefox zullen werken 57


Met Firefox 57, gepland voor release in 14 november 2017, zal Mozilla de ondersteuning voor oudere extensies beëindigen en alleen nieuwere WebExtensions ondersteunen . Hier leest u hoe u kunt controleren of uw extensies niet meer werken en hoe u ze na november kunt blijven gebruiken.

Waarom XUL-uitbreidingen weggaan

Alle traditionele extensies, waaronder XUL-uitbreidingen, worden stopgezet. Ze waren erg krachtig, maar dat was zowel een sterkte als een zwakte. De kracht van deze uitbreidingen betekende dat ze de Firefox-browsercode konden wijzigen, wat kon leiden tot instabiliteit en onschuldig ogende malware-add-ons.

In plaats daarvan werkte Mozilla aan WebExtensions, vergelijkbaar met de add-ons van Chrome en Edge . Dit zijn de toekomst van Firefox-extensies. Omdat deze add-ons op een meer standaard manier moeten werken en niet de interne code van Firefox kunnen beschadigen, zouden ze minder problemen moeten veroorzaken. Het moet ook eenvoudiger zijn voor ontwikkelaars om add-ons van Chrome naar Firefox te porteren.

Momenteel ondersteunt Firefox zowel traditionele (legacy) extensies als WebExtensions. Met Firefox 57 werken de oudere extensies niet meer en werken alleen nieuwere WebExtensions. Deze verandering is al live in Firefox Nightly, de toonaangevende ontwikkelversie van Firefox. Ontwikkelaars zijn ertoe aangespoord om hun extensies te upgraden, maar niet allemaal - wat ons naar het probleem leidt.

Hoe u kunt zien of uw extensies niet meer werken

als u vandaag Firefox gebruikt, kunt u controleren welke van uw extensies extensies werken niet meer in versie 57. Klik om te controleren op menu> Add-ons en selecteer de categorie "Extensies".

Oudere extensies die niet meer werken, worden gelabeld met een "Legacy" -tag als u Firefox 55 of nieuwer. Moderne WebExtensions die normaal blijven werken, worden normaal weergegeven.

Zoeken naar nieuwe extensies

Als een extensie de tag "Legacy" heeft, kunt u deze lijst met populaire extensies controleren met informatie over hun upgradestatus. In de bovenstaande schermafbeelding is LastPass bijvoorbeeld gemarkeerd als Legacy-extensie die niet meer werkt, maar we kunnen zien dat de ontwikkelaars van plan zijn om deze te vervangen door een WebExtension vóór de releasedatum van Firefox 57.

Voor minder populaire extensies moet u mogelijk om een ​​zoekopdracht op internet uit te voeren om te zien of de ontwikkelaar een update plant. Ontwikkelaars moeten hun extensies porten naar WebExtensions, en niet alle ontwikkelaars zullen dit doen.

Als een extensie waarvan u afhankelijk bent niet meer werkt, moet u wellicht op zoek naar een modern alternatief dat iets vergelijkbaars doet. U kunt alleen add-ons zoeken die compatibel zijn met Firefox 57 of nieuwer op de Mozilla Add-on-site.

Elke add-on die de tag "Compatibel met Firefox 57+" heeft, is een WebExtension die verder zal werken. De door ons geïnstalleerde User Agent Switcher-extensie is bijvoorbeeld niet gepland voor een upgrade, dus we willen waarschijnlijk een van de modernere User Agent Switcher-extensies installeren.

NAAR BOVEN: RELATED: Browserextensies zijn een privacy-nachtmerrie: Stop met het gebruik van zoveel van hen

Dit is een goed moment om te evalueren of je al die extensies echt nodig hebt. Browserextensies kunnen gevaarlijk zijn, dus het is een goed idee om ze alleen te installeren als ze echt nuttig voor u zijn en vanuit een betrouwbare bron.

Verouderde extensies blijven gebruiken

Als u echt een oude extensie nodig hebt, er is een manier om ze veilig te gebruiken. Schakel over naar de Firefox Extended Support Release, ook bekend als Firefox ESR. Dit is een langzamer bewegende versie van Firefox die grotendeels bedoeld is voor bedrijven die om de zes weken geen belangrijke functie-upgrades willen.

De huidige versie van Firefox ESR is gebaseerd op Firefox 52 en zal tot 26 juni 2018 worden ondersteund met beveiligingsupdates Omdat het gebaseerd is op Firefox 52, zullen oudere uitbreidingen zonder problemen blijven functioneren

Na 26 juni 2018 moet u upgraden naar een nieuwere versie van Firefox ESR die geen oudere uitbreidingen meer zal ondersteunen als u blijf beveiligingsupdates ontvangen. Dit is geen permanente oplossing, maar het is een goede manier om uw huidige extensies nog zeven maanden te blijven gebruiken terwijl u modernere alternatieven evalueert.


App-machtigingen van derden intrekken Vanaf Spotify

App-machtigingen van derden intrekken Vanaf Spotify

Internetmuziekservice Spotify biedt een API waarmee andere websites en toepassingen toegang hebben tot uw muziek- en klantgegevens. Dat kan een erg leuke functie zijn als je het gebruikt om muziek te integreren met andere tools, zoals Shazam of Sonos. Maar als u klaar bent met wat u ook doet, is het waarschijnlijk een goed idee om de toegang tot alleen de meest essentiële apps te beperken.

(how-top)

Hoe u uw Facebook-account kunt beveiligen

Hoe u uw Facebook-account kunt beveiligen

Als u Facebook al een paar jaar gebruikt, weet u dat uw account een ware schat aan informatie bevat die dieven graag zouden mijnen. Het kan vanzelfsprekend zijn, maar het veilig beveiligen van je Facebook-account zal je in de toekomst veel beschermen tegen het blootstellen van een groot deel van je persoonlijke leven aan onsmakelijke elementen.

(how-top)